从Tomcat 5.5.x到Tomcat 6.0的迁移

红薯 发布于 2008/10/05 17:15
阅读 490
收藏 0

基本上,将应用移植到Tomcat的最新版本6.0上并不需要 做什么额外的工作,但是对于一些比较特殊的环境配置你需要确认以下几个方面:

首先是Java虚拟机的版本,Tomcat 6.0要求至少是5.0或者以上的版本。这点不象Tomcat 5.5可以使用兼容包使之工作在JRE 1.4下。

其次,Tomcat 6.0 修改了目录结构,废弃了原来的common目录,原来common/lib下的所有jar包现在统一到lib目录下,因此你需要将你原来放置在 common/lib目录下的扩展jar包拷贝到lib目录下。

另外,Tomcat 6使用org.apache.juli.logging来替换原有的 commons-logging,使日志的配置独立于容器之外。

还有一个是跟SSL相关的配置,在Connector配置时需要指定SSLEnabled参数 为true才能启用SSL加密传输。

最后一个问题是跟集群有关的,Tomcat 6的集群配置已经做了重构,详细的配置信息请参考Tomcat 6的文挡。

在确认以上的问题不影响你的应用时,尽可以放心将应用放到Tomcat 6下去运行。

Enjoy it !

加载中
返回顶部
顶部